--
-- HaeckslerTrailer
-- This is the specialization for HaeckslerTrailer
--
-- M@D Author  Headshot XXL
-- M@D date 19.08.2009
--
-- > Copyright (C) Headshot XXL - www.planet-ls.de < --

HaeckslerTrailer = {};

function HaeckslerTrailer.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function HaeckslerTrailer:load(xmlFile)

	self.fillNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.fillNode#index"));

end;

function HaeckslerTrailer:delete()
end;

function HaeckslerTrailer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function HaeckslerTrailer:keyEvent(unicode, sym, modifier, isDown)
end;

function HaeckslerTrailer:update(dt)
end;

function HaeckslerTrailer:draw()
end;
